Bug 19634 - [XSLT 3.0] deep-equal2() function
[XSLT 3.0] deep-equal2() function
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XSLT 3.0
Last Call drafts
PC All
: P2 normal
: ---
Assigned To: Michael Kay
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 13:53 UTC by Michael Kay
Modified: 2013-02-16 12:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kay 2012-10-19 13:53:49 UTC
At some stage before we finally go to press, we need to decide what to do about the deep-equal2() function, which is currently in the XSLT 3.0 specification as a description of how we expect deep-equal to be enhanced to cater for maps.

I think the best approach is to drop the separate function name, and say instead something along the lines of "the fn:deep-equal function described is F+O 3.0 is modified to handle maps as follows:"
Comment 1 Michael Kay 2013-02-12 10:30:56 UTC
The WG accepts the proposal as suggested, editor to implement.
Comment 2 Michael Kay 2013-02-12 10:39:55 UTC
We noted also that the proposal to remove collations from maps impacts the deep-equal() comparison of maps; we should compare the keys in the two maps using codepoint collation and rely on the assumption that the application has normalized the keys to take account of the comparison semantics of the required collation.
Comment 3 Michael Kay 2013-02-16 12:29:42 UTC
Changes applied (draft N)